#
# spec file for package messagelib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           messagelib
Version:        16.08.2
Release:        1.1
Summary:        Base package of kdepim
License:        GPL-2.0 and GPL-3.0 and LGPL-2.1+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Libraries
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-mime-devel = %{version}
BuildRequires:  akonadi-notes-devel = %{version}
BuildRequires:  akonadi-search-devel
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  gpgme-devel
BuildRequires:  gpgmepp5-devel
BuildRequires:  grantlee5-devel
BuildRequires:  grantleetheme-devel
BuildRequires:  karchive-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kcontacts-devel
BuildRequires:  kdepim-apps-libs-devel
BuildRequires:  kdewebkit-devel >= 5.0
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kidentitymanagement-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kldap-devel
BuildRequires:  kmailtransport-devel
BuildRequires:  kmbox-devel
BuildRequires:  kmime-devel
BuildRequires:  kpimtextedit-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libgravatar-devel
BuildRequires:  libkdepim-devel
BuildRequires:  libkleo-devel
BuildRequires:  pimcommon-devel
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5UiTools) >= 5.4.0
BuildRequires:  pkgconfig(Qt5WebEngineWidgets) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the messagelib library.

%prep
%setup -q

%build
%cmake_kf5 -d build -- -DMESSAGEVIEWER_USE_QTWEBENGINE=TRUE -DQTWEBENGINE_SUPPORT_OPTION=TRUE
%make_jobs

%install
%kf5_makeinstall -C build

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%package devel
Summary:        Library for messages
License:        LGPL-2.1+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       akonadi-mime-devel
Requires:       akonadi-server-devel
Requires:       kcontacts-devel
Requires:       kdewebkit-devel
Requires:       kidentitymanagement-devel
Requires:       kmime-devel
Requires:       libkleo-devel
Requires:       messagelib-devel
Requires:       pimcommon-devel

%description devel
The development package for the messagelib libraries

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/
%{_libdir}/cmake/KF5MessageComposer/
%{_libdir}/cmake/KF5MessageCore/
%{_libdir}/cmake/KF5MessageList/
%{_libdir}/cmake/KF5MessageViewer/
%{_libdir}/cmake/KF5TemplateParser/
%{_libdir}/libKF5MessageComposer.so
%{_libdir}/libKF5MessageCore.so
%{_libdir}/libKF5MessageList.so
%{_libdir}/libKF5MessageViewer.so
%{_libdir}/libKF5TemplateParser.so
%{_libdir}/qt5/mkspecs/modules/qt_*.pri
%{_libdir}/cmake/KF5MimeTreeParser/
%{_libdir}/cmake/KF5WebEngineViewer/
%{_libdir}/libKF5MimeTreeParser.so
%{_libdir}/libKF5WebEngineViewer.so

%files
%defattr(-,root,root)
%{_kf5_configdir}/messagelib.categories
%{_kf5_configdir}/messageviewer_header_themes.knsrc
%{_libdir}/libKF5MessageComposer.so.*
%{_libdir}/libKF5MessageCore.so.*
%{_libdir}/libKF5MessageList.so.*
%{_libdir}/libKF5MessageViewer.so.*
%{_libdir}/libKF5TemplateParser.so.*
%{_libdir}/libKF5MimeTreeParser.so.*
%{_libdir}/libKF5WebEngineViewer.so.*
%{_kf5_plugindir}/messageviewer/
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/kconf_update/
%{_kf5_notifydir}/messageviewer.notifyrc
%{_datadir}/libmessageviewer/
%{_datadir}/messagelist/
%{_datadir}/messageviewer/

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Thu Jul 21 2016 wbauer@tmo.at
- Cleanup build requirements
- Add necessary dependencies to the devel package
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
